Bug 1206161 - webkitgtk4 doesn't build on s390 (32bit)
Summary: webkitgtk4 doesn't build on s390 (32bit)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 22
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-03-26 13:17 UTC by Ngo Than
Modified: 2016-01-17 03:44 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-31 21:39:28 UTC


Attachments (Terms of Use)
fix build issue on secondaryarch (2.33 KB, patch)
2015-03-26 13:17 UTC, Ngo Than
no flags Details | Diff
fix build issue on s390 (1.37 KB, patch)
2015-03-27 13:07 UTC, Ngo Than
no flags Details | Diff

Description Ngo Than 2015-03-26 13:17:48 UTC
Created attachment 1006811 [details]
fix build issue on secondaryarch

webkitgtk4 doesn't build on s390, ppc64. I have created a patch (for webkitgtk4-2.8.0) which resolves this isuse.

For more info please take a look at

 http://s390.koji.fedoraproject.org/kojifiles/work/tasks/4887/1764887/build.log

Could you please add the attached patch into webkitgtk4 so we can build it on secondaryarch?

thanks

Comment 1 Ngo Than 2015-03-26 13:21:35 UTC
there's the problem on ppc is still "killed gcc", reducing parallel make -jX or Decrease debuginfo with -g1 is a workaround
Please consider it in next build.

Thanks

diff --git a/webkitgtk4.spec b/webkitgtk4.spec
index e350f5d..861563b 100644
--- a/webkitgtk4.spec
+++ b/webkitgtk4.spec
@@ -9,7 +9,7 @@
 
 Name:           webkitgtk4
 Version:        2.8.0
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        GTK+ Web content engine library
 
 License:        LGPLv2
@@ -23,6 +23,7 @@ Patch2:         webkitgtk-2.5.90-cloop_fix.patch
 Patch3:         webkitgtk-2.5.2-commit_align.patch
 # https://bugs.webkit.org/show_bug.cgi?id=142333
 Patch4:         webkitgtk-2.7.91-matrix-multiplication.patch
+Patch5:         webkitgtk4-gcc5.patch
 
 BuildRequires:  at-spi2-core-devel
 BuildRequires:  bison
@@ -100,6 +101,7 @@ This package contains developer documentation for %{name}.
 %patch3 -p1 -b .commit_align
 %endif
 %patch4 -p1 -b .matrix_multiplication
+%patch5 -p1 -b .gcc5
 
 # Remove bundled libraries
 rm -rf Source/ThirdParty/leveldb/
@@ -115,7 +117,7 @@ rm -rf Source/ThirdParty/qunit/
 
 # Decrease debuginfo even on ix86 because of:
 # https://bugs.webkit.org/show_bug.cgi?id=140176
-%ifarch s390 s390x %{arm} %{ix86}
+%ifarch s390 s390x %{arm} %{ix86} ppc %{power64}
 # Decrease debuginfo verbosity to reduce memory consumption even more
 %global optflags %(echo %{optflags} | sed 's/-g /-g1 /')
 %endif
@@ -204,6 +206,9 @@ make %{?_smp_mflags} -C %{_target_platform}
 %{_datadir}/gtk-doc/html/webkitdomgtk-4.0/
 
 %changelog
+* Wed Mar 25 2015 Than Ngo <than@redhat.com> - 2.8.0-2
+- fix build failure against gcc5
+
 * Mon Mar 23 2015 Tomas Popela <tpopela@redhat.com> - 2.8.0-1
 - Update to 2.8.0

Comment 2 Ngo Than 2015-03-27 13:07:20 UTC
Created attachment 1007232 [details]
fix build issue on s390

i splitted the patch, one is for gcc5, you find it https://bugzilla.redhat.com/show_bug.cgi?id=1206577 and other one is for s390. I attach new patch for s390

Comment 3 Fedora Update System 2015-03-27 18:56:41 UTC
webkitgtk4-2.8.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/webkitgtk4-2.8.0-2.fc22

Comment 4 Fedora Update System 2015-03-30 07:12:33 UTC
Package webkitgtk4-2.8.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing webkitgtk4-2.8.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5061/webkitgtk4-2.8.0-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-03-31 21:39:28 UTC
webkitgtk4-2.8.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Michael Catanzaro 2016-01-17 03:44:15 UTC
I removed this patch since it is a bmalloc patch but s390 builds with USE_SYSTEM_MALLOC (which means bmalloc is never used). But I did so prematurely; bmalloc is still built unconditionally even if it is not used.

I posted a patch upstream: https://bugs.webkit.org/show_bug.cgi?id=153190

You don't need to do anything unless you're planning to build again for s390 before the next unstable release (in which case, you'll need to use one patch or the other).


Note You need to log in before you can comment on or make changes to this bug.